Section "ServerLayout"
	Identifier     "X.org Configured"
	Screen      0  "Screen0" 0 0
	InputDevice    "Mouse0" "CorePointer"
	InputDevice    "Keyboard0" "CoreKeyboard"
EndSection

Section "Files"
	RgbPath      "/usr/lib/X11/rgb"
	ModulePath   "/usr/lib/modules"
	FontPath     "/usr/share/fonts/misc/"
	FontPath     "/usr/share/fonts/TTF/"
	FontPath     "/usr/share/fonts/Type1/"
	FontPath     "/usr/share/fonts/CID/"
	FontPath     "/usr/share/fonts/75dpi/"
	FontPath     "/usr/share/fonts/100dpi/"
	FontPath     "/usr/share/fonts/jmk"
EndSection

Section "Module"
	Load  "extmod"
	Load  "dri"
	Load  "dbe"
	Load  "record"
	Load  "xtrap"
	#Load  "glx"
	Load  "type1"
	Load  "freetype"
	Load  "vnc"

EndSection

Section "InputDevice"
	Identifier  "Keyboard0"
	Driver      "kbd"
        Option      "XkbLayout"     "en_US"
        Option      "XkbOptions"    "compose:ralt"
        Option      "RightAlt"      "ModeShift"

EndSection

Section "InputDevice"
	Identifier  "Mouse0"
	Driver      "mouse"
	Option	    "Protocol" "auto"
	Option	    "Device" "/dev/input/mice"
	Option      "ZAxisMapping" "4 5"
EndSection

Section "Monitor"
	Identifier  "Monitor0"
	HorizSync   31.5 - 48.4
	VertRefresh 20 - 60
	#DisplaySize 308 231
	Option "DPMS"
EndSection

Section "Device"
	Identifier  "Card0"
	Driver      "ati"
	VendorName  "ATI Technologies Inc"
	BoardName   "Unknown Board"
	BusID       "PCI:1:0:0"
	Option      "passwordFile" "/root/.vnc/passwd"

	Option      "ColorTiling" "off"
EndSection

Section "Screen"
	Identifier "Screen0"
	Device     "Card0"
	Monitor    "Monitor0"
	DefaultDepth 24
	
	SubSection "Display"
		Depth     16
		Modes     "1400x1050" "1024x768" "800x600" "640x480"
	EndSubSection
	SubSection "Display"
		Depth     24
		Modes     "1400x1050" "1024x768" "800x600" "640x480"
	EndSubSection
EndSection


Section "DRI"
	Mode    0660
	Group   "video"
EndSection

Section "Extensions"
    Option "Composite" "Enable"
EndSection
